<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Customer Print";
$file = "customer_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$state = $_POST["state"];
$statecond = "";
if (!empty($state)) {
    $statecond = " AND `state` = '$state' ";
}

if (isset($_POST["view"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` = '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond ORDER BY NAME")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <!--<script src="MyScript/item.js" type="text/javascript"></script>-->
<!--    <script type="text/javascript">
        function PrintDiv() {
            var divContents = document.getElementById("printdivcontent").innerHTML;
            var printWindow = window.open('', '', 'height=200,width=400');
            printWindow.document.write('<html><head><title>Print DIV Content</title>');
            printWindow.document.write('</head><body >');
            printWindow.document.write(divContents);
            printWindow.document.write('</body></html>');
            printWindow.document.close();
            printWindow.print();
        }
    </script> -->
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <div class="row" id="printdivcontent">

                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr class="mySearchTr">
                            <th width="5%">Sr</th>
                            <th width="15%">Name</th>
                            <th width="25%">Address</th>
                            <th width="10%">VAT No.</th>
                            <th width="10%">Country</th>
                            <!-- <th width="10%">State</th> -->
                            <th width="10%">City</th>
                            <th width="10%">Email</th>
                            <th width="5%">Pin</th>
                            <th width="7%">Tel</th>
                        </tr>
                        <tr>
                        <!--<button type="button" name="print" onclick="PrintDiv();">PRINT TEST</button>-->
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr class='bgwhite'>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[vattin]</td>";
                            Echo "<td>$pmain[country]</td>";
//                            Echo "<td>$pmain[state]</td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }

    $getpmain = mysqli_query($conn, "SELECT *, CONCAT(add1,add2,add3) as addr FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond order by name ")or die(mysqli_error($conn));

    $contents .= "Sr, Name, Address, TRN VAT No.,City, Email, Pin, Tel, Mobile, Opening Balance, Other(Discount1),Other(Discount2),Other(Discount3),Other(Discount4),Gel(Discount1), Gel(Discount2), Gel(Discount3), Gel(Discount4)\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;

        $add1 = str_replace(",", " ", "$pmain[add1]");
        $add2 = str_replace(",", " ", "$pmain[add2]");
        $add3 = str_replace(",", " ", "$pmain[add3]");


        $contents .= $ctr . ",";
        $contents .= $pmain["name"] . ",";
        $contents .= $add1 . $add2 . $add3 . ",";
        $contents .= "TRN No. " . $pmain["vattin"] . ",";
//        $contents .= $pmain["state"] . ",";
        $contents .= $pmain["city"] . ",";
        $contents .= $pmain["email"] . ",";
        $contents .= $pmain["pin"] . ",";
        $contents .= $pmain["tel"] . ",";
        $contents .= $pmain["mob1"] . ",";
        $contents .= $pmain["openbal"] . "/" . $pmain["dc"] . ",";
        $contents .= $pmain["disc1"] . ",";
        $contents .= $pmain["disc2"] . ",";
        $contents .= $pmain["disc3"] . ",";
        $contents .= $pmain["disc4"] . ",";
        $contents .= $pmain["gdisc1"] . ",";
        $contents .= $pmain['gdisc2'] . ",";
        $contents .= $pmain["gdisc3"] . ",";
        $contents .= $pmain["gdisc4"] . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
